package com.pj.project.app_user_login_log;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.pj.project4sp.SP;
import com.pj.utils.sg.AjaxJson;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * Controller: app_user_login_log -- 移动端用户登录日志
 *
 * @author qzy
 */
@RestController
@RequestMapping("/AppUserLoginLog/")
public class AppUserLoginLogController {

    /**
     * 底层 Service 对象
     */
    @Autowired
    AppUserLoginLogService appUserLoginLogService;


    /**
     * 删
     */
    @RequestMapping("delete")
    @SaCheckPermission(AppUserLoginLog.PERMISSION_CODE_DEL)
    public AjaxJson delete(Long id) {
        appUserLoginLogService.delete(id);
        return AjaxJson.getSuccess();
    }

    /**
     * 删 - 根据id列表
     */
    @RequestMapping("deleteByIds")
    @SaCheckPermission(AppUserLoginLog.PERMISSION_CODE_DEL)
    public AjaxJson deleteByIds() {
        List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class);
        int line = SP.publicMapper.deleteByIds(AppUserLoginLog.TABLE_NAME, ids);
        return AjaxJson.getByLine(line);
    }

    /**
     * 查 - 根据id
     */
    @RequestMapping("getById")
    @SaCheckPermission(AppUserLoginLog.PERMISSION_CODE)
    public AjaxJson getById(Long id) {
        AppUserLoginLog a = appUserLoginLogService.getById(id);
        return AjaxJson.getSuccessData(a);
    }

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    @RequestMapping("getList")
    @SaCheckPermission(AppUserLoginLog.PERMISSION_CODE)
    public AjaxJson getList() {
        SoMap so = SoMap.getRequestSoMap();
        List<AppUserLoginLog> list = appUserLoginLogService.getList(so.startPage());
        return AjaxJson.getPageData(so.getDataCount(), list);
    }


}
